﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO.Ports;
using ComponentGUI;
using ComponentGUI.Properties;

namespace ComponentGUI
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string[] ports = SerialPort.GetPortNames();
            if (ports.Length != 0)
            {
                comboBox1.Text = "";
                comboBox1.Items.Clear();
                comboBox1.Items.AddRange(ports);
                comboBox1.SelectedIndex = 0;
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (button1.Text == "Подключиться")
            {
                try
                {
                    serialPort1.PortName = comboBox1.Text;
                    serialPort1.Open();
                    button1.Text = "Отключиться";
                    serialPort1.Write("z");

                }
                catch
                {
                    MessageBox.Show("Ошибка подключения!", "Ошибка");
                }
            }
            else if (button1.Text == "Отключиться")
            {
                try
                {
                    serialPort1.Write("c");
                    serialPort1.Write("c");
                    label1.Text = "";
                    serialPort1.Close();
                    button1.Text = "Подключиться";
                }
                catch
                {
                    MessageBox.Show("Остановите отправку данных");
                }
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            serialPort1.Write("a");
            serialPort1.Write("a");
        }

        private void button4_Click(object sender, EventArgs e)
        {
            serialPort1.Write("b");
            serialPort1.Write("b");
        }

        private void button5_Click(object sender, EventArgs e)
        {
            serialPort1.Write("c");
            serialPort1.Write("c");
            label1.Text = "";
        }

        private void button6_Click(object sender, EventArgs e)
        {
            serialPort1.Write("e" + add.Text);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            serialPort1.Write("d" + del.Text);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            MaximizeBox = false;
            if (Bank.ing == 1)
            {
                if (Bank.com == "" && Bank.eng == "true")
                {
                    MessageBox.Show("Ошибка подключения", "Ошибка");
                }
                else if (Bank.com != "" && Bank.eng == "true")
                {
                    comboBox1.Text = Bank.com;
                    serialPort1.PortName = Bank.com;
                    try
                    {
                        serialPort1.Open();
                        button1.Text = "Отключиться";
                        serialPort1.Write("z");

                    }
                    catch
                    {
                        MessageBox.Show("Ошибка подключения!", "Ошибка");
                    }

                }
                else if (Bank.com != "" && Bank.eng == "false")
                {
                    comboBox1.Text = Bank.com;
                }
            }
        }

        private void button8_Click(object sender, EventArgs e)
        {
            serialPort1.Write("g");
            serialPort1.Write("g");
            serialPort1.RtsEnable = true;
            System.Threading.Thread.Sleep(500);
            serialPort1.Close();
            System.Threading.Thread.Sleep(500);
            serialPort1.Open();
            serialPort1.RtsEnable = false;
        }

        private void button9_Click(object sender, EventArgs e)
        {
            serialPort1.Write("f");
            serialPort1.Write("f");
            serialPort1.RtsEnable = true;
            System.Threading.Thread.Sleep(500);
            serialPort1.Close();
            System.Threading.Thread.Sleep(500);
            serialPort1.Open();
            serialPort1.RtsEnable = false;
        }

        private void оПрограммеToolStripMenuItem_Click(object sender, EventArgs e)
        {
            About about = new About();
            about.ShowDialog();
        }

        private void выйтиToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void openFileDialog1_FileOk(object sender, CancelEventArgs e)
        {

        }
    }
}
